package com.ruoyi.ss.device.service;

import com.ruoyi.common.core.domain.ValidateResult;
import com.ruoyi.ss.device.domain.DeviceBO;
import com.ruoyi.ss.device.domain.vo.DeviceVO;

import java.util.Collection;
import java.util.List;

/**
 * @author wjh
 * 2024/4/30
 */
public interface DeviceValidator {

    /**
     * 设备编号是否存在
     */
    boolean isExistNo(List<String> deviceNos);

    /**
     * 判断设备是否属于指定用户
     * @param deviceId 设备id
     * @param userId 用户id
     */
    boolean isBelong(Long deviceId, Long userId);

    boolean isBelong(Collection<Long> deviceIds, Long userId);

    /**
     * 创建前校验
     */
    ValidateResult preCreate(DeviceBO data);

    /**
     * 更新前校验
     */
    ValidateResult preUpdate(DeviceBO data);

    /**
     * APP更新前校验
     */
    ValidateResult preUpdateByApp(DeviceBO data);

    /**
     * 判断SN是否重复
     */
    boolean isRepeatSn(Long deviceId, String sn);

    /**
     * 判断MAC是否重复
     */
    boolean isRepeatMac(Long deviceId, String mac);

    /**
     * 后校验
     */
    void afterCheck(DeviceVO vo);

    /**
     * 校验代理商
     */
    void checkAgent(DeviceVO vo);

    /**
     * 判断用户是否设备的代理商
     * @param device 设备
     * @param userId 用户ID
     */
    boolean isAgent(DeviceVO device, Long userId);
}
