package com.ruoyi.ss.deviceBindRecord.service;

import com.ruoyi.ss.deviceBindRecord.domain.DeviceBindRecord;
import com.ruoyi.ss.deviceBindRecord.domain.DeviceBindRecordQuery;
import com.ruoyi.ss.deviceBindRecord.domain.DeviceBindRecordVO;
import com.ruoyi.ss.deviceBindRecord.domain.enums.BindRecordType;
import com.ruoyi.ss.deviceBindRecord.domain.enums.BindRecordUserType;

import java.util.List;

/**
 * 设备绑定记录Service接口
 *
 * @author ruoyi
 * @date 2024-04-17
 */
public interface DeviceBindRecordService
{
    /**
     * 查询设备绑定记录
     *
     * @param recordId 设备绑定记录主键
     * @return 设备绑定记录
     */
    public DeviceBindRecordVO selectSmDeviceBindRecordByRecordId(Long recordId);

    /**
     * 查询设备绑定记录列表
     *
     * @param deviceBindRecord 设备绑定记录
     * @return 设备绑定记录集合
     */
    public List<DeviceBindRecordVO> selectSmDeviceBindRecordList(DeviceBindRecordQuery deviceBindRecord);

    /**
     * 新增设备绑定记录
     *
     * @param deviceBindRecord 设备绑定记录
     * @return 结果
     */
    public int insertSmDeviceBindRecord(DeviceBindRecord deviceBindRecord);

    /**
     * 修改设备绑定记录
     *
     * @param deviceBindRecord 设备绑定记录
     * @return 结果
     */
    public int updateSmDeviceBindRecord(DeviceBindRecord deviceBindRecord);

    /**
     * 批量删除设备绑定记录
     *
     * @param recordIds 需要删除的设备绑定记录主键集合
     * @return 结果
     */
    public int deleteSmDeviceBindRecordByRecordIds(Long[] recordIds);

    /**
     * 删除设备绑定记录信息
     *
     * @param recordId 设备绑定记录主键
     * @return 结果
     */
    public int deleteSmDeviceBindRecordByRecordId(Long recordId);

    /**
     * 绑定记录
     */
    int record(Long userId, Long deviceId, BindRecordType recordType, BindRecordUserType userType);
}
