package com.ruoyi.ss.deviceSuit.service.impl;

import com.ruoyi.ss.device.domain.DeviceBO;
import com.ruoyi.ss.deviceSuit.domain.DeviceSuit;
import com.ruoyi.ss.deviceSuit.service.DeviceSuitConverter;
import com.ruoyi.ss.suit.domain.SuitBO;
import org.springframework.stereotype.Service;

import java.util.ArrayList;
import java.util.Collections;
import java.util.List;

/**
 * @author wjh
 * 2024/7/31
 */
@Service
public class DeviceSuitConverterImpl implements DeviceSuitConverter {
    /**
     * 套餐转为设备套餐关联PO
     *
     * @param suit
     */
    @Override
    public List<DeviceSuit> toPo(SuitBO suit) {
        if (suit == null || suit.getSuitId() == null) {
            return Collections.emptyList();
        }
        List<DeviceSuit> result = new ArrayList<>();

        for (Long deviceId : suit.getDeviceIds()) {
            if (deviceId == null) {
                continue;
            }
            DeviceSuit deviceSuit = new DeviceSuit();
            deviceSuit.setDeviceId(deviceId);
            deviceSuit.setSuitId(suit.getSuitId());
            result.add(deviceSuit);
        }

        return result;
    }

    @Override
    public List<DeviceSuit> toPo(DeviceBO device) {
        if (device == null || device.getDeviceId() == null) {
            return Collections.emptyList();
        }
        List<DeviceSuit> result = new ArrayList<>();

        for (Long suitId : device.getSuitIds()) {
            DeviceSuit deviceSuit = new DeviceSuit();
            deviceSuit.setDeviceId(device.getDeviceId());
            deviceSuit.setSuitId(suitId);
            result.add(deviceSuit);
        }

        return result;

    }
}
