package com.ruoyi.ss.transactionBill.domain.dto;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import javax.validation.constraints.DecimalMin;
import javax.validation.constraints.Min;
import javax.validation.constraints.NotNull;
import java.math.BigDecimal;

/**
 * 提现申请DTO
 * @author wjh
 * 2024/7/28
 */
@Data
public class WithdrawDTO {

    @ApiModelProperty("提现金额")
    @DecimalMin(value = "0.01", message = "提现金额不能小于0.01")
    @NotNull(message = "提现金额不允许为空")
    private BigDecimal money;

    @ApiModelProperty("提现到账金额")
    @NotNull(message = "到账金额不允许为空")
    private BigDecimal arrivalAmount;

    @ApiModelProperty("服务费")
    @NotNull(message = "服务费不允许为空")
    private BigDecimal serviceCharge;

    @ApiModelProperty("服务费收取类型")
    @NotNull(message = "服务费收取类型不允许为空")
    private String serviceType;

    @ApiModelProperty("服务费")
    @NotNull(message = "服务费率不允许为空")
    private BigDecimal serviceRate;

    @ApiModelProperty("提现渠道ID")
    @NotNull(message = "提现渠道ID不允许为空")
    private Long channelId;

    @ApiModelProperty("用户ID")
    private Long userId;

}
